Bug 107480 - FILEOPEN: RTF Auto spacing is 0.18 instead of 0.49
Summary: FILEOPEN: RTF Auto spacing is 0.18 instead of 0.49
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.0.0 target:5.4.2
Keywords: bibisected, bisected, filter:rtf, regression
Depends on: 104354
Blocks: RTF-Paragraph 118533
  Show dependency treegraph
 
Reported: 2017-04-27 12:23 UTC by Xisco Faulí
Modified: 2018-07-04 13:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
How it looked before 291c9122b23ce7aa619e828b895b08dcd21bf025 (76.03 KB, image/png)
2017-07-20 15:23 UTC, Xisco Faulí
Details
How it looks after 291c9122b23ce7aa619e828b895b08dcd21bf025 (85.73 KB, image/png)
2017-07-20 15:23 UTC, Xisco Faulí
Details
first paragraph needs zero top margin (RED: MSO, BLACK: recent LO, GREEN: fixed LO) (5.67 KB, image/jpeg)
2018-07-02 15:00 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-04-27 12:23:03 UTC
Steps to reproduce:
1. Open attachment 81355 [details] from bug 81355
2. Check spacing between lines

Observed behaviour: it's 0.18 cms instead of 0.49

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 7c11fe076005ed4e28f04f14990b7011a03a4517
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-04-27 12:27:21 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2017-02-21 08:06:20 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-02-21 11:40:52 (GMT)
commit	291c9122b23ce7aa619e828b895b08dcd21bf025 (patch)
tree	d8c4ec16b03e3a9254d96e838b43d66ddbde6a48
parent	fe459304497f822b1b9ab1f49602c0a81813c987 (diff)
tdf#104081 RTF import: handle \htmautsp
It's the opposite of OOXML's <w:doNotUseHTMLParagraphAutoSpacing/>, so
the default is different.

Also adapt the fdo82006 bugdoc where the original bugdoc contained this
flag, but the testcase did not.


Bisected with bibisect-linux-64-5.4

Adding Cc: to Miklos Vajna
Comment 2 Miklos Vajna 2017-05-12 16:17:06 UTC
Xisco, the reported attachment is an ODT file, did you mean to provide different reproducer steps?

Clearly opening an ODT file can't change based on an RTF import commit. :-)
Comment 3 Xisco Faulí 2017-05-12 16:52:21 UTC
Hi Miklos,
the bug's description is incorrect.
It should be:

Steps to reproduce:
1. Open attachment 102786 [details] from bug 81355
2. Check spacing between lines

Sorry for that.
Comment 4 Miklos Vajna 2017-05-28 13:37:52 UTC
Hmm, doesn't happen for me on master, I tried to reproduce it with your provided 7c11fe076005ed4e28f04f14990b7011a03a4517, but that doesn't seem to be a valid commit in core.git. Did you have some local commits?
Comment 5 Miklos Vajna 2017-05-28 15:08:25 UTC
Based on the date, I tried to pick something close, 597a2f5d5bd37443262b0775b8439bc3502aef1b (2017-04-26), and there the bottom margin of the first paragraph is already 0.49cm.

Can you please provide a bit more info about exactly what version does this, and exactly what margin of what paragraph is 0.18 instead of 0.49?

Thanks.
Comment 6 Xisco Faulí 2017-07-20 15:23:25 UTC
Created attachment 134750 [details]
How it looked before 291c9122b23ce7aa619e828b895b08dcd21bf025
Comment 7 Xisco Faulí 2017-07-20 15:23:49 UTC
Created attachment 134751 [details]
How it looks after 291c9122b23ce7aa619e828b895b08dcd21bf025
Comment 8 Xisco Faulí 2017-07-20 15:24:47 UTC
I've added a couple of comparison images between LibreOffice and MSO 2010.
I still can reproduce it in

Version: 6.0.0.0.alpha0+
Build ID: bde72cdae1e7e001d5089c5284672c976b8e43df
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 9 Miklos Vajna 2017-08-11 18:59:28 UTC
Yes, now I can reproduce; not sure what was the problem in my earlier attempt. Will take a look.
Comment 10 Commit Notification 2017-08-16 06:15:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9dd82d0d68065ab95e20a1a489f4130299a8669e

tdf#107480 RTF import: fix HTML automatic spacing in styles

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-08-17 19:12:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e8c6f08cfc34ab59ef359152725aeae940f2654&h=libreoffice-5-4

tdf#107480 RTF import: fix HTML automatic spacing in styles

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Xisco Faulí 2017-08-30 19:13:35 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 78960ad06faca055a6d97afbc764c902d5d07f6f
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-08-30_06:31:19
Locale: es-ES (es_ES); Calc: group
Comment 13 László Németh 2018-07-02 14:58:54 UTC
First paragraph has got zero top margin in MSO, see the attached composite layouts in MSO (red) and LibreOffice before (black) and after fixing (green).
It needs to resolve this (solution in tdf#107480) and modify the regression test "testTdf107480" of this issue.
Comment 14 László Németh 2018-07-02 15:00:48 UTC
Created attachment 143266 [details]
first paragraph needs zero top margin (RED: MSO, BLACK: recent LO, GREEN: fixed LO)
Comment 15 Miklos Vajna 2018-07-03 07:20:26 UTC
Please don't reopen a bug from a year ago, instead open a follow-up bug and then that can properly track your effort to fix a similar issue. Thanks!
Comment 16 László Németh 2018-07-04 09:43:58 UTC
(In reply to Miklos Vajna from comment #15)
> Please don't reopen a bug from a year ago, instead open a follow-up bug and
> then that can properly track your effort to fix a similar issue. Thanks!

Sorry, Miklós, I've filed the bug 118533 for it. Thanks for your advice! (I hope, it's not problem, that I added a blocks/depends on connection within them to see the related changes).
Comment 17 Miklos Vajna 2018-07-04 13:06:50 UTC
That's fine. :-)